Support News - WordPress 4.2.3 Security and Maintenance Release Affecting Marketo Embedded Forms

Level 7

The recent WordPress 4.2.3 security release is affecting Marketo embedded forms.  WordPress is injecting code that comments out the line of the embedded code that loads the form.  This prevents the form from displaying on the page.

 

To correct this error, simply copy and paste the embedded code back onto the page using the Text Editor instead of the Visual Editor to prevent the code injection.


Is this article helpful ?

YesNo


387
3
3 Comments
Anonymous
Not applicable

Wordpress says here that it's because it's improper use of the script. I had to manually update all of my forms, and I assume WordPress could make this update every release and cause me (and other customers) big headaches.

Shouldn't you be coding these to embed using proper syntax?

CDATA - Wikipedia, the free encyclopedia

crazy... 40+ pages we had to update plus 7 days of downtime before we found the problem

Anonymous
Not applicable

If you are using Visual Composer(plugin) You will need to go to Classic Mode to get back to Text Editor